package tallerVehiculos;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.ArrayList;

import javax.swing.JOptionPane;

@SuppressWarnings("serial")
public class GestionVehiculos implements Serializable{
	
	private ArrayList<Vehiculo> vehiculos;
	
	public GestionVehiculos() {
		vehiculos = new ArrayList<Vehiculo>();
	}
	
	public boolean nuevoVehiculo(Vehiculo v) {
		if (vehiculos.contains(v)) {
			JOptionPane.showMessageDialog(null, "Ya existe un Vehículo con VIN: " + v.getVIN(),
					"Nuevo Vehículo", JOptionPane.WARNING_MESSAGE);
			return false;
		}
		else {
			vehiculos.add(v);
			return true;
		}
	}
	
	public Vehiculo buscarVehiculo(String dato) {
		for (Vehiculo v: vehiculos) {
			if (v.getVIN().equals(dato) || v.getPlaca().equals(dato))
				return v;
		}
		
		return null;
	}
	
	
	public boolean guardarVehiculos() {
		try {
			ObjectOutputStream obs = new ObjectOutputStream(new FileOutputStream("vehiculos.bin"));
			obs.writeObject(this);
			obs.close();
			return true;
		} catch (IOException e) {
			JOptionPane.showMessageDialog(null, "Error al acceder al archivo: vehiculos.bin",
					"Guardar Vehículos", JOptionPane.ERROR_MESSAGE);
			e.printStackTrace();
			return false;
		}
	}

}
